package uca.baptistearthur.geocaching.recyclerview

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.model.Place


class PlacesAdapter (val places: List<Place>) : RecyclerView.Adapter<PlacesViewHolder>(){

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PlacesViewHolder {
        return PlacesViewHolder(LayoutInflater.from(parent.context).inflate(R.layout.cell_place, parent, false))
    }

    @SuppressLint("SetTextI18n")
    override fun onBindViewHolder(holder: PlacesViewHolder, position: Int) {
        holder.placeName.text = "Ici sera le nom"
        holder.placeAddress.text = "Ici sera l'adresse"
    }
    override fun getItemCount(): Int = places.size
}